# Class UnknownFormatConversionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
java.util.IllegalFormatException
java.util.UnknownFormatConversionException

All Implemented Interfaces:
  `Serializable`

public non-sealed class UnknownFormatConversionException extends IllegalFormatException
Unchecked exception thrown when an unknown conversion is given.

Unless otherwise specified, passing a `null` argument to any method or constructor in this class will cause a `NullPointerException` to be thrown.

Since:
  1.5
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnknownFormatConversionException(String s)`
Constructs an instance of this class with the unknown conversion.

## Method Summary

Modifier and Type
Method
Description
`String`
`getConversion()`
Returns the unknown conversion.

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnknownFormatConversionException

public UnknownFormatConversionException(String s)
Constructs an instance of this class with the unknown conversion.

Parameters:
  `s` - Unknown conversion

## Method Details

### getConversion

public String getConversion()
Returns the unknown conversion.

Returns:
  The unknown conversion.